Create new Content from File

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Multipart/formdata Example

- file:
   <binary data>

- json:
  {
    "album_id": 9996319, // [Required]
    "title": "something something danger zone", // [Required]
    "email": "[email protected]", // [Required] if connected_user_id is omitted
    "username": "Dennis", // [Optional]
    "approved": true, // [Required]
    "avatar_url": "http://example.com/user-avatar.jpg", // [Optional]
    "connected_user_id": 123456789, // [Optional] Not used if email is included
    "vendor_id": "your_own_identifier", // [Optional] Associates this photo with an ID you own. Usually a user ID.
    "product_skus": ["productA", "productB"], // [Optional] for adding product tags
    "category_names": ["Clothing", "Shoes"], // [Optional] Used to copy the content to category albums (must match case sensitive category/tag name)
    "connected_user": {"shirt_size": "M"} // [Optional] for storing additional misc info
  }
Query Params
string
required

Pixlee's ACCOUNT PRIVATE API KEY

Body Params
file
Defaults to file data

multipart/form-data

string
Defaults to {"album_id":9996319,"title":"something something danger zone","email":"[email protected]","username":"Dennis","avatar_url":"http://example.com/user-avatar.jpg","approved":true,"connected_user_id":123456789,"product_skus":["productA","productB"],"category_names":["Clothing","Shoes"],"connected_user":{"shirt_size":"M"}}

multipart/form-data

Headers
string
required

An HMAC-SHA1 signature converted from your payload (documentation: https://developers.pixlee.com/reference/about-the-content-api#authentication)

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json